VERSION 5.00
Begin VB.UserControl oTimeValue 
   ClientHeight    =   2010
   ClientLeft      =   0
   ClientTop       =   0
   ClientWidth     =   1815
   ScaleHeight     =   2010
   ScaleWidth      =   1815
   ToolboxBitmap   =   "oTimeValue.ctx":0000
   Begin VB.TextBox txtZeit 
      Alignment       =   2  'Zentriert
      Height          =   435
      Left            =   120
      Locked          =   -1  'True
      TabIndex        =   1
      Top             =   1485
      Width           =   1575
   End
   Begin VB.PictureBox Pic 
      BackColor       =   &H80000018&
      Height          =   1335
      Left            =   120
      ScaleHeight     =   1275
      ScaleWidth      =   1515
      TabIndex        =   0
      Top             =   120
      Width           =   1575
      Begin VB.Timer tmrInterval 
         Left            =   120
         Top             =   720
      End
   End
End
Attribute VB_Name = "oTimeValue"
Attribute VB_GlobalNameSpace = False
Attribute VB_Creatable = True
Attribute VB_PredeclaredId = False
Attribute VB_Exposed = True
Option Explicit

Private Declare Sub Sleep Lib "kernel32" (ByVal dwMilliseconds As Long)

'API-Funktion um die CommonDialog Controls in XP-Format anzuzeigen
Private Declare Function InitCommonControls Lib "comctl32.dll" () As Long
'------------------------------------------------------------------------------

Private Declare Function CreateRoundRectRgn _
Lib "gdi32" (ByVal X1 As Long, _
ByVal Y1 As Long, _
ByVal X2 As Long, _
ByVal Y2 As Long, _
ByVal X3 As Long, _
ByVal Y3 As Long) As Long

Private Declare Function SetWindowRgn _
Lib "user32" (ByVal hWnd As Long, _
ByVal hRgn As Long, _
ByVal bRedraw As Boolean) As Long


Const Pi As Double = 3.1416
Const Rad As Double = 180 / Pi

'3 Zeiger mit X und Y Koordinate
Dim Zeiger(1 To 3, 1 To 2) As Integer

Dim Sec As Byte     'Sekunden
Dim Min As Byte     'Minuten
Dim Stu As Double   'Stunden

Dim j As Byte
Dim Mitte As Long
Dim LngeSekundenzeiger As Long
Dim LngeMinutenzeiger As Long
Dim LngeStundenzeiger As Long
Dim Breiteundhhe As Long
Dim Zeitangabe As String

Dim WertMinuten As Currency
Dim WertSekunden As Currency

Dim Stundenzahl As Integer
Dim Stundenwert As Currency
Dim EigenerTimerWert As Currency

'Standard-Eigenschaftswerte:
Const m_def_CreateRndDigital = False
Const m_def_CreateRndDigitalVal = 40
Const m_def_CreateRndAnalog = False
Const m_def_CreateRndAnalogVal = 40
Const m_def_ToolTipText = ""
Const m_def_LengthSekzeiger = 2.3
Const m_def_LengthMinzeiger = 2.6
Const m_def_LengthStdzeiger = 3
Const m_def_WidthSekzeiger = 1
Const m_def_WidthMinzeiger = 2
Const m_def_WidthStdzeiger = 3
Const m_def_WidthMinPunkte = 1
Const m_def_WidthStdPunkte = 2
Const m_def_ColorSekzeiger = &HC0&
Const m_def_ColorMinzeiger = &HC00000
Const m_def_ColorStdzeiger = &H0&
Const m_def_ColorMinPunkte = &H0&
Const m_def_ColorStdPunkte = &H0&
'Eigenschaftsvariablen:
Dim m_CreateRndDigital As Boolean
Dim m_CreateRndDigitalVal As Long
Dim m_CreateRndAnalog As Boolean
Dim m_CreateRndAnalogVal As Long
Dim m_ToolTipText As String
Dim m_LengthSekzeiger As Currency
Dim m_LengthMinzeiger As Currency
Dim m_LengthStdzeiger As Currency
Dim m_WidthSekzeiger As Long
Dim m_WidthMinzeiger As Long
Dim m_WidthStdzeiger As Long
Dim m_WidthMinPunkte As Long
Dim m_WidthStdPunkte As Long
Dim m_ColorSekzeiger As OLE_COLOR
Dim m_ColorMinzeiger As OLE_COLOR
Dim m_ColorStdzeiger As OLE_COLOR
Dim m_ColorMinPunkte As OLE_COLOR
Dim m_ColorStdPunkte As OLE_COLOR

'------------------------------------------------------------------------------
'Ereignisdeklarationen:

Event Change() 'MappingInfo=txtZeit,txtZeit,-1,Change
Event Click() 'MappingInfo=UserControl,UserControl,-1,Click
Event DblClick() 'MappingInfo=Pic,Pic,-1,DblClick
Event MouseMove(Button As Integer, Shift As Integer, x As Single, y As Single) 'MappingInfo=UserControl,UserControl,-1,MouseMove
Event MouseDown(Button As Integer, Shift As Integer, x As Single, y As Single) 'MappingInfo=Pic,Pic,-1,MouseDown
Event MouseUp(Button As Integer, Shift As Integer, x As Single, y As Single) 'MappingInfo=Pic,Pic,-1,MouseUp
Event KeyDown(KeyCode As Integer, Shift As Integer) 'MappingInfo=txtZeit,txtZeit,-1,KeyDown
Attribute KeyDown.VB_Description = "Tritt auf, wenn der Benutzer eine Taste drckt, whrend ein Objekt den Fokus besitzt."
Event KeyPress(KeyAscii As Integer) 'MappingInfo=txtZeit,txtZeit,-1,KeyPress
Attribute KeyPress.VB_Description = "Tritt auf, wenn der Benutzer eine ANSI-Taste drckt und loslt."
Event KeyUp(KeyCode As Integer, Shift As Integer) 'MappingInfo=txtZeit,txtZeit,-1,KeyUp
Attribute KeyUp.VB_Description = "Tritt auf, wenn der Benutzer eine Taste loslt, whrend ein Objekt den Fokus hat."
Event Timer() 'MappingInfo=tmrInterval,tmrInterval,-1,Timer
Attribute Timer.VB_Description = "Tritt auf, wenn eine zuvor festgelegte Zeitspanne fr ein Zeitgeber-Steuerelement abgelaufen ist."

'------------------------------------------------------------------------------

Private Declare Function LockWindowUpdate Lib "user32" _
        (ByVal hwndLock As Long) As Long
        
Private Declare Function GetDesktopWindow Lib "user32" _
        () As Long

Private Sub CreateRoundRectFromAnalogWindow(ByRef oWindow As Object)
On Error GoTo Fehlerbehandlung
Dim lRight As Long
Dim lBottom As Long
Dim hRgn As Long
'die API-Funktionen CreateRoundRectRgn und SetWindowRgn _
verwenden um das Aussehen der Analogzeit zu ndern
With oWindow
    lRight = .Width / Screen.TwipsPerPixelX
    lBottom = .Height / Screen.TwipsPerPixelY
    'die Einstellung von CreateRndAnalog abfragen
    If CreateRndAnalog = True Then
        'Analogzeit mit entsprechenden Abrundungen anzeigen
        hRgn = CreateRoundRectRgn(0, 0, lRight, lBottom, CreateRndAnalogVal, CreateRndAnalogVal)
    Else
        'ansonsten nur als Quadrat anzeigen
        hRgn = CreateRoundRectRgn(0, 0, lRight, lBottom, 0, 0)
    End If
    SetWindowRgn .hWnd, hRgn, True  'nderungen durchfhren
End With

Exit Sub
Fehlerbehandlung:
With oWindow
    lRight = .Width / Screen.TwipsPerPixelX
    lBottom = .Height / Screen.TwipsPerPixelY
    hRgn = CreateRoundRectRgn(0, 0, lRight, lBottom, 0, 0)
    SetWindowRgn .hWnd, hRgn, True
End With
End Sub

Private Sub CreateRoundRectFromDigitalWindow(ByRef oWindow As Object)
On Error GoTo Fehlerbehandlung
Dim lRight As Long
Dim lBottom As Long
Dim hRgn As Long
'die API-Funktionen CreateRoundRectRgn und SetWindowRgn _
verwenden um das Aussehen der Digitalzeit zu ndern
With oWindow
    lRight = .Width / Screen.TwipsPerPixelX
    lBottom = .Height / Screen.TwipsPerPixelY
    If CreateRndDigital = True Then
        'Digitalzeit mit entsprechenden Abrundungen anzeigen
        hRgn = CreateRoundRectRgn(0, 0, lRight, lBottom, CreateRndDigitalVal, CreateRndDigitalVal)
    Else
        'ansonsten nur als Rechteck anzeigen
        hRgn = CreateRoundRectRgn(0, 0, lRight, lBottom, 0, 0)
    End If
    SetWindowRgn .hWnd, hRgn, True  'nderungen durchfhren
End With

Exit Sub
Fehlerbehandlung:
With oWindow
    lRight = .Width / Screen.TwipsPerPixelX
    lBottom = .Height / Screen.TwipsPerPixelY
    hRgn = CreateRoundRectRgn(0, 0, lRight, lBottom, 0, 0)
    SetWindowRgn .hWnd, hRgn, True
End With
End Sub

Private Sub Freeze()
'Fenster einfrieren
  LockWindowUpdate (GetDesktopWindow)
End Sub

Private Sub Defrost()
'Fenster wieder normal anzeigen
  LockWindowUpdate (0&)
End Sub

Private Sub Zeitwertanzeigen()
On Error GoTo Fehler
    On Error Resume Next
With UserControl
    If .Enabled = True Then
    
    
        LngeSekundenzeiger = Int(Pic.ScaleHeight / LengthSekzeiger)   'fr gleichbleibende Abstnde sorgen
        LngeMinutenzeiger = Int(Pic.ScaleHeight / LengthMinzeiger)    'auch bei sich verndernder Gre
        LngeStundenzeiger = Int(Pic.ScaleHeight / LengthStdzeiger)    'der Uhr
        Breiteundhhe = Pic.ScaleWidth / 2.2            'fr den Abstand zum Rand der Picture-Box sorgen
        Mitte = Pic.ScaleHeight / 2    'Die Mitte der PictureBox
    
        .Pic.Cls                     'PictureBox leeren
        .Pic.DrawWidth = WidthMinPunkte           'Breite der zu zeichnenden Punkte
        .Pic.ForeColor = ColorMinPunkte
        
        For j = 1 To 60             '60 Minuten
            'Minutenabschnitte zeichnen
            .Pic.PSet (Sin(360 / 60 * j / Rad) * Breiteundhhe + Mitte, Cos(360 / 60 * j / Rad) * Breiteundhhe + Mitte)
        Next
        
        .Pic.DrawWidth = WidthStdPunkte
        .Pic.ForeColor = ColorStdPunkte
        
        For j = 1 To 12             '12 Stunden
            'Stundenabschnitte zeichnen
            .Pic.PSet (Sin(360 / 12 * j / Rad) * Breiteundhhe + Mitte, Cos(360 / 12 * j / Rad) * Breiteundhhe + Mitte)
        Next
    
    '----------------------------------------------------------------------------------------------
        'die ersten 2 Zahlen (Stunden) extrahieren
        Stundenzahl = Left(.txtZeit.Text, 2)
    
        'die 2 Zahlen in der Mitte (Minuten) extrahieren
        WertMinuten = (Mid(.txtZeit.Text, 4, 2) / 60) * 100
        
        'die letzten 2 Zahlen (Sekunden) extrahieren
        WertSekunden = (Right(.txtZeit.Text, 2) / 60)
        
        'Gesamtwert berechnen und anzeigen
        Stundenwert = Stundenzahl + (WertMinuten + WertSekunden) / 100
        EigenerTimerWert = Stundenwert * 3600
    
            Sec = Right(.txtZeit.Text, 2)
            Min = Mid(.txtZeit.Text, 4, 2)
            Stu = EigenerTimerWert / 3600
    '----------------------------------------------------------------------------------------------
        
        If Stu > 12 Then Stu = Stu - 12             '12-Stundentackt
        
        Zeiger(1, 1) = Sin((180 - Sec / 60 * 360) / Rad) * LngeSekundenzeiger + Mitte     'Sekundenzeiger x-Position
        Zeiger(1, 2) = Cos((180 - Sec / 60 * 360) / Rad) * LngeSekundenzeiger + Mitte     'Sekundenzeiger y-Position
        
        Zeiger(2, 1) = Sin((180 - Min / 60 * 360) / Rad) * LngeMinutenzeiger + Mitte     'Minutenzeiger x-Position
        Zeiger(2, 2) = Cos((180 - Min / 60 * 360) / Rad) * LngeMinutenzeiger + Mitte     'Minutenzeiger y-Position
        
        Zeiger(3, 1) = Sin((180 - Stu / 12 * 360) / Rad) * LngeStundenzeiger + Mitte     'Stundenzeiger x-Position
        Zeiger(3, 2) = Cos((180 - Stu / 12 * 360) / Rad) * LngeStundenzeiger + Mitte     'Stundenzeiger y-Position
    
        
        For j = 1 To 3
            If j = 1 Then                       'Sekundenzeiger zeichnen
                Pic.DrawWidth = j + WidthSekzeiger
                Pic.ForeColor = ColorSekzeiger
            ElseIf j = 2 Then                   'Minuten- und Stundenzeiger zeichnen
                Pic.DrawWidth = j + WidthMinzeiger           'Breite der Zeiger
                Pic.ForeColor = ColorMinzeiger
            Else
                Pic.DrawWidth = j + WidthStdzeiger
                Pic.ForeColor = ColorStdzeiger
            End If
            
            
            .Pic.Line (Mitte, Mitte)-(Zeiger(j, 1), Zeiger(j, 2))
        Next
    End If
End With

Exit Sub
Fehler:
'MsgBox Err.Description, vbCritical, "Fehler " & Err.Number
End Sub

Private Sub Pic_Click()
    RaiseEvent Click
End Sub

Private Sub Pic_DblClick()
    RaiseEvent DblClick
End Sub

Private Sub Pic_MouseDown(Button As Integer, Shift As Integer, x As Single, y As Single)
    RaiseEvent MouseDown(Button, Shift, x, y)
End Sub

Private Sub Pic_MouseMove(Button As Integer, Shift As Integer, x As Single, y As Single)
    RaiseEvent MouseMove(Button, Shift, x, y)
End Sub

Private Sub Pic_MouseUp(Button As Integer, Shift As Integer, x As Single, y As Single)
    RaiseEvent MouseUp(Button, Shift, x, y)
End Sub

Private Sub txtZeit_Change()
'fr alle Flle !!!
On Error GoTo Fehlerbehandlung
    With UserControl
        If .Enabled = True Then
            RaiseEvent Change
            Zeitwertanzeigen
        End If
    End With
Exit Sub
Fehlerbehandlung:
End Sub

Private Sub txtZeit_MouseMove(Button As Integer, Shift As Integer, x As Single, y As Single)
    RaiseEvent MouseMove(Button, Shift, x, y)
End Sub

Private Sub UserControl_DblClick()
    RaiseEvent DblClick
End Sub

Private Sub UserControl_GotFocus()
    Zeitwertanzeigen
End Sub

Private Sub UserControl_Initialize()
'fr alle Flle !!!
On Error GoTo Fehlerbehandlung
    On Error Resume Next
      
    'XP-Format initialisieren
    Call InitCommonControls
    
With UserControl
    
    .Pic.Top = 10
    .Pic.Left = 10
    .Pic.Width = UserControl.Width - 20
    .Pic.Height = .Pic.Width
    
    .txtZeit.Top = .Pic.Top + .Pic.Height + 10
    .txtZeit.Left = 10
    .txtZeit.Width = .Width - 20
    .txtZeit.Height = .txtZeit.Width / 4
    .txtZeit.Text = "00:00:00"
End With
Exit Sub
Fehlerbehandlung:
End Sub

Private Sub UserControl_MouseDown(Button As Integer, Shift As Integer, x As Single, y As Single)
    RaiseEvent MouseDown(Button, Shift, x, y)
End Sub

Private Sub UserControl_MouseUp(Button As Integer, Shift As Integer, x As Single, y As Single)
    RaiseEvent MouseUp(Button, Shift, x, y)
End Sub

Private Sub UserControl_Resize()
'fr alle Flle !!!
On Error GoTo Fehlerbehandlung
    On Error Resume Next
    
  Call Freeze   'Bildschirm einfrieren
  
With UserControl
    .Pic.Width = .Width - 20
    .Pic.Height = .Pic.Width
    .Pic.Cls
    Bildanpassen
    Zeitwertanzeigen
    .txtZeit.Top = .Pic.Top + .Pic.Height + 10
    .txtZeit.Left = 10
    .txtZeit.Width = .Width - 20
    .txtZeit.Height = .txtZeit.Width / 4.5
    .Height = .Pic.Height + .txtZeit.Height + 30
    
End With

  Call Defrost  'Bildschirm wieder auftauen
Exit Sub
Fehlerbehandlung:
Call Defrost
End Sub

'ACHTUNG! DIE FOLGENDEN KOMMENTIERTEN ZEILEN NICHT ENTFERNEN ODER VERNDERN!
'MappingInfo=Pic,Pic,-1,BackColor
Public Property Get BackColor() As OLE_COLOR
'fr alle Flle !!!
On Error GoTo Fehlerbehandlung
'der Variable BackColor die BackColor-Eigenschaft von Pic bergeben
    BackColor = Pic.BackColor
Exit Property
Fehlerbehandlung:
End Property

Public Property Let BackColor(ByVal New_BackColor As OLE_COLOR)
'fr alle Flle !!!
On Error GoTo Fehlerbehandlung
'neue Eigenschaft weitergeben
    Pic.BackColor() = New_BackColor
        Zeitwertanzeigen
    PropertyChanged "BackColor"
Exit Property
Fehlerbehandlung:
End Property

'ACHTUNG! DIE FOLGENDEN KOMMENTIERTEN ZEILEN NICHT ENTFERNEN ODER VERNDERN!
'MemberInfo=5
Public Sub Refresh()
'fr alle Flle !!!
On Error GoTo Fehlerbehandlung
    With UserControl
       .Pic.Refresh
       .txtZeit.Refresh
        Zeitwertanzeigen
    End With
Exit Sub
Fehlerbehandlung:
End Sub

'Eigenschaften fr Benutzersteuerelement initialisieren
Private Sub UserControl_InitProperties()
    m_ColorMinPunkte = m_def_ColorMinPunkte
    m_ColorStdPunkte = m_def_ColorStdPunkte
    m_ColorSekzeiger = m_def_ColorSekzeiger
    m_ColorMinzeiger = m_def_ColorMinzeiger
    m_ColorStdzeiger = m_def_ColorStdzeiger
    m_WidthMinPunkte = m_def_WidthMinPunkte
    m_WidthStdPunkte = m_def_WidthStdPunkte
    m_WidthSekzeiger = m_def_WidthSekzeiger
    m_WidthMinzeiger = m_def_WidthMinzeiger
    m_WidthStdzeiger = m_def_WidthStdzeiger
    m_LengthSekzeiger = m_def_LengthSekzeiger
    m_LengthMinzeiger = m_def_LengthMinzeiger
    m_LengthStdzeiger = m_def_LengthStdzeiger
    m_ToolTipText = m_def_ToolTipText
    m_CreateRndAnalog = m_def_CreateRndAnalog
    m_CreateRndAnalogVal = m_def_CreateRndAnalogVal
    m_CreateRndDigital = m_def_CreateRndDigital
    m_CreateRndDigitalVal = m_def_CreateRndDigitalVal
End Sub

'Eigenschaftenwerte vom Speicher laden
Private Sub UserControl_ReadProperties(PropBag As PropertyBag)
'fr alle Flle !!!
On Error GoTo Fehlerbehandlung
    On Error Resume Next

If Ambient.UserMode = False Then
    'im Entwurfsmodus den Timer deaktivieren
    UserControl.tmrInterval.Enabled = False
Else
    'zur Laufzeit
    UserControl.tmrInterval.Enabled = True
End If

    Pic.BackColor = PropBag.ReadProperty("BackColor", &H80000018)
    UserControl.BackStyle = PropBag.ReadProperty("BackStyle", 1)
    Pic.BorderStyle = PropBag.ReadProperty("BorderStyle", 1)
    UserControl.BackStyle = PropBag.ReadProperty("BackStyle", 1)
    UserControl.Enabled = PropBag.ReadProperty("Enabled", True)
    Set MouseIcon = PropBag.ReadProperty("MouseIcon", Nothing)
    Pic.MousePointer = PropBag.ReadProperty("MousePointer", 0)
    Set txtZeit.Font = PropBag.ReadProperty("Font", Ambient.Font)
    txtZeit.Text = PropBag.ReadProperty("Value", "")
    txtZeit.ForeColor = PropBag.ReadProperty("ForeColor", &H80000008)
    txtZeit.Alignment = PropBag.ReadProperty("Alignment", 2)
    txtZeit.BackColor = PropBag.ReadProperty("ColorValue", &H80000005)
    Set Picture = PropBag.ReadProperty("Picture", Nothing)
    txtZeit.ToolTipText = PropBag.ReadProperty("ToolTipText", "")
    tmrInterval.Interval = PropBag.ReadProperty("Interval", 0)
    tmrInterval.Enabled = PropBag.ReadProperty("aktivInterval", True)
    txtZeit.Locked = PropBag.ReadProperty("Locked", True)
    UserControl.BackStyle = PropBag.ReadProperty("BackStyle", 1)
    Pic.BorderStyle = PropBag.ReadProperty("BorderStyle", 1)
    txtZeit.BorderStyle = PropBag.ReadProperty("ValueBorderStyle", 1)
    txtZeit.SelLength = PropBag.ReadProperty("SelLength", 0)
    txtZeit.SelStart = PropBag.ReadProperty("SelStart", 0)
    m_ColorMinPunkte = PropBag.ReadProperty("ColorMinPunkte", m_def_ColorMinPunkte)
    m_ColorStdPunkte = PropBag.ReadProperty("ColorStdPunkte", m_def_ColorStdPunkte)
    m_ColorSekzeiger = PropBag.ReadProperty("ColorSekzeiger", m_def_ColorSekzeiger)
    m_ColorMinzeiger = PropBag.ReadProperty("ColorMinzeiger", m_def_ColorMinzeiger)
    m_ColorStdzeiger = PropBag.ReadProperty("ColorStdzeiger", m_def_ColorStdzeiger)
    m_WidthMinPunkte = PropBag.ReadProperty("WidthMinPunkte", m_def_WidthMinPunkte)
    m_WidthStdPunkte = PropBag.ReadProperty("WidthStdPunkte", m_def_WidthStdPunkte)
    m_WidthSekzeiger = PropBag.ReadProperty("WidthSekzeiger", m_def_WidthSekzeiger)
    m_WidthMinzeiger = PropBag.ReadProperty("WidthMinzeiger", m_def_WidthMinzeiger)
    m_WidthStdzeiger = PropBag.ReadProperty("WidthStdzeiger", m_def_WidthStdzeiger)
    m_LengthSekzeiger = PropBag.ReadProperty("LengthSekzeiger", m_def_LengthSekzeiger)
    m_LengthMinzeiger = PropBag.ReadProperty("LengthMinzeiger", m_def_LengthMinzeiger)
    m_LengthStdzeiger = PropBag.ReadProperty("LengthStdzeiger", m_def_LengthStdzeiger)
    m_ToolTipText = PropBag.ReadProperty("ToolTipText", m_def_ToolTipText)
    m_CreateRndAnalog = PropBag.ReadProperty("CreateRndAnalog", m_def_CreateRndAnalog)
    m_CreateRndAnalogVal = PropBag.ReadProperty("CreateRndAnalogVal", m_def_CreateRndAnalogVal)
    m_CreateRndDigital = PropBag.ReadProperty("CreateRndDigital", m_def_CreateRndDigital)
    m_CreateRndDigitalVal = PropBag.ReadProperty("CreateRndDigitalVal", m_def_CreateRndDigitalVal)
    UserControl.BackColor = PropBag.ReadProperty("BackColorTimeValue", &H8000000F)
    
    Zeitwertanzeigen
Exit Sub
Fehlerbehandlung:
End Sub

Private Sub UserControl_Terminate()
'fr alle Flle !!!
On Error GoTo Fehlerbehandlung

    If Err.Number <> 0 Then
        Err.Number = 0
        Err.Clear
    End If
Exit Sub
Fehlerbehandlung:
Err.Clear
End Sub

'Eigenschaftenwerte in den Speicher schreiben
Private Sub UserControl_WriteProperties(PropBag As PropertyBag)
'fr alle Flle !!!
On Error GoTo Fehlerbehandlung
    On Error Resume Next
If Ambient.UserMode = False Then
    UserControl.tmrInterval.Enabled = False
Else
    UserControl.tmrInterval.Enabled = True
End If

    Call PropBag.WriteProperty("BackColor", Pic.BackColor, &H80000018)
    Call PropBag.WriteProperty("BackStyle", UserControl.BackStyle, 1)
    Call PropBag.WriteProperty("Enabled", UserControl.Enabled, True)
    Call PropBag.WriteProperty("BorderStyle", Pic.BorderStyle, 1)
    Call PropBag.WriteProperty("BackStyle", UserControl.BackStyle, 1)
    Call PropBag.WriteProperty("MouseIcon", MouseIcon, Nothing)
    Call PropBag.WriteProperty("MousePointer", Pic.MousePointer, 0)
    Call PropBag.WriteProperty("Font", txtZeit.Font, Ambient.Font)
    Call PropBag.WriteProperty("Value", txtZeit.Text, "")
    Call PropBag.WriteProperty("ForeColor", txtZeit.ForeColor, &H80000008)
    Call PropBag.WriteProperty("Alignment", txtZeit.Alignment, 2)
    Call PropBag.WriteProperty("Picture", Picture, Nothing)
    Call PropBag.WriteProperty("ColorValue", txtZeit.BackColor, &H80000005)
    Call PropBag.WriteProperty("ToolTipText", txtZeit.ToolTipText, "")
    Call PropBag.WriteProperty("Interval", tmrInterval.Interval, 0)
    Call PropBag.WriteProperty("aktivInterval", tmrInterval.Enabled, True)
    Call PropBag.WriteProperty("Locked", txtZeit.Locked, True)
    Call PropBag.WriteProperty("BackStyle", UserControl.BackStyle, 1)
    Call PropBag.WriteProperty("BorderStyle", Pic.BorderStyle, 1)
    Call PropBag.WriteProperty("ValueBorderStyle", txtZeit.BorderStyle, 1)
    Call PropBag.WriteProperty("SelLength", txtZeit.SelLength, 0)
    Call PropBag.WriteProperty("SelStart", txtZeit.SelStart, 0)
    Call PropBag.WriteProperty("ColorMinPunkte", m_ColorMinPunkte, m_def_ColorMinPunkte)
    Call PropBag.WriteProperty("ColorStdPunkte", m_ColorStdPunkte, m_def_ColorStdPunkte)
    Call PropBag.WriteProperty("ColorSekzeiger", m_ColorSekzeiger, m_def_ColorSekzeiger)
    Call PropBag.WriteProperty("ColorMinzeiger", m_ColorMinzeiger, m_def_ColorMinzeiger)
    Call PropBag.WriteProperty("ColorStdzeiger", m_ColorStdzeiger, m_def_ColorStdzeiger)
    Call PropBag.WriteProperty("WidthMinPunkte", m_WidthMinPunkte, m_def_WidthMinPunkte)
    Call PropBag.WriteProperty("WidthStdPunkte", m_WidthStdPunkte, m_def_WidthStdPunkte)
    Call PropBag.WriteProperty("WidthSekzeiger", m_WidthSekzeiger, m_def_WidthSekzeiger)
    Call PropBag.WriteProperty("WidthMinzeiger", m_WidthMinzeiger, m_def_WidthMinzeiger)
    Call PropBag.WriteProperty("WidthStdzeiger", m_WidthStdzeiger, m_def_WidthStdzeiger)
    Call PropBag.WriteProperty("LengthSekzeiger", m_LengthSekzeiger, m_def_LengthSekzeiger)
    Call PropBag.WriteProperty("LengthMinzeiger", m_LengthMinzeiger, m_def_LengthMinzeiger)
    Call PropBag.WriteProperty("LengthStdzeiger", m_LengthStdzeiger, m_def_LengthStdzeiger)
    Call PropBag.WriteProperty("ToolTipText", m_ToolTipText, m_def_ToolTipText)
    Call PropBag.WriteProperty("CreateRndAnalog", m_CreateRndAnalog, m_def_CreateRndAnalog)
    Call PropBag.WriteProperty("CreateRndAnalogVal", m_CreateRndAnalogVal, m_def_CreateRndAnalogVal)
    Call PropBag.WriteProperty("CreateRndDigital", m_CreateRndDigital, m_def_CreateRndDigital)
    Call PropBag.WriteProperty("CreateRndDigitalVal", m_CreateRndDigitalVal, m_def_CreateRndDigitalVal)
    Call PropBag.WriteProperty("BackColorTimeValue", UserControl.BackColor, &H8000000F)

Exit Sub
Fehlerbehandlung:
End Sub

'ACHTUNG! DIE FOLGENDEN KOMMENTIERTEN ZEILEN NICHT ENTFERNEN ODER VERNDERN!
'MappingInfo=Pic,Pic,-1,MouseIcon
Public Property Get MouseIcon() As Picture
'fr alle Flle !!!
On Error GoTo Fehlerbehandlung
    Set MouseIcon = Pic.MouseIcon
Exit Property
Fehlerbehandlung:
End Property

Public Property Set MouseIcon(ByVal New_MouseIcon As Picture)
'fr alle Flle !!!
On Error GoTo Fehlerbehandlung
    Set Pic.MouseIcon = New_MouseIcon
    PropertyChanged "MouseIcon"
Exit Property
Fehlerbehandlung:
End Property

'ACHTUNG! DIE FOLGENDEN KOMMENTIERTEN ZEILEN NICHT ENTFERNEN ODER VERNDERN!
'MappingInfo=Pic,Pic,-1,MousePointer
Public Property Get MousePointer() As MousePointerConstants
'fr alle Flle !!!
On Error GoTo Fehlerbehandlung
    MousePointer = Pic.MousePointer
Exit Property
Fehlerbehandlung:
End Property

Public Property Let MousePointer(ByVal New_MousePointer As MousePointerConstants)
'fr alle Flle !!!
On Error GoTo Fehlerbehandlung
    Pic.MousePointer() = New_MousePointer
    PropertyChanged "MousePointer"
Exit Property
Fehlerbehandlung:
End Property

'ACHTUNG! DIE FOLGENDEN KOMMENTIERTEN ZEILEN NICHT ENTFERNEN ODER VERNDERN!
'MappingInfo=txtZeit,txtZeit,-1,Font
Public Property Get Font() As Font
Attribute Font.VB_Description = "Gibt ein Font-Objekt zurck."
Attribute Font.VB_UserMemId = -512
'fr alle Flle !!!
On Error GoTo Fehlerbehandlung
    Set Font = txtZeit.Font
Exit Property
Fehlerbehandlung:
End Property

Public Property Set Font(ByVal New_Font As Font)
'fr alle Flle !!!
On Error GoTo Fehlerbehandlung
    Set txtZeit.Font = New_Font
    PropertyChanged "Font"
Exit Property
Fehlerbehandlung:
End Property

'ACHTUNG! DIE FOLGENDEN KOMMENTIERTEN ZEILEN NICHT ENTFERNEN ODER VERNDERN!
'MappingInfo=txtZeit,txtZeit,-1,BackColor
Public Property Get ColorValue() As OLE_COLOR
Attribute ColorValue.VB_Description = "Gibt die Hintergrundfarbe zurck, die verwendet wird, um Text und Grafik in einem Objekt anzuzeigen, oder legt diese fest."
'fr alle Flle !!!
On Error GoTo Fehlerbehandlung
    ColorValue = txtZeit.BackColor
Exit Property
Fehlerbehandlung:
End Property

Public Property Let ColorValue(ByVal New_ColorValue As OLE_COLOR)
'fr alle Flle !!!
On Error GoTo Fehlerbehandlung
    txtZeit.BackColor() = New_ColorValue
    PropertyChanged "ColorValue"
Exit Property
Fehlerbehandlung:
End Property

'ACHTUNG! DIE FOLGENDEN KOMMENTIERTEN ZEILEN NICHT ENTFERNEN ODER VERNDERN!
'MappingInfo=txtZeit,txtZeit,-1,Enabled
Public Property Get Enabled() As Boolean
Attribute Enabled.VB_Description = "Gibt einen Wert zurck, der bestimmt, ob ein Objekt auf vom Benutzer erzeugte Ereignisse reagieren kann, oder legt diesen fest."
'fr alle Flle !!!
On Error GoTo Fehlerbehandlung
    Enabled = UserControl.Enabled
Exit Property
Fehlerbehandlung:
End Property

Public Property Let Enabled(ByVal New_Enabled As Boolean)
'fr alle Flle !!!
On Error GoTo Fehlerbehandlung
    With UserControl
        .Enabled() = New_Enabled
        .tmrInterval.Enabled = New_Enabled
        .txtZeit.Enabled = New_Enabled
    End With
        PropertyChanged "Enabled"
Exit Property
Fehlerbehandlung:
End Property

'ACHTUNG! DIE FOLGENDEN KOMMENTIERTEN ZEILEN NICHT ENTFERNEN ODER VERNDERN!
'MappingInfo=txtZeit,txtZeit,-1,Text
Public Property Get Value() As String
Attribute Value.VB_Description = "Gibt den Text zurck, der im Steuerelement enthalten ist, oder legt diesen fest."
'fr alle Flle !!!
On Error GoTo Fehlerbehandlung
    Value = txtZeit.Text
Exit Property
Fehlerbehandlung:
End Property

Public Property Let Value(ByVal New_Value As String)
'fr alle Flle !!!
On Error GoTo Fehlerbehandlung
    With UserControl
        If .Enabled = True Then
            txtZeit.Text() = New_Value
            PropertyChanged "Value"
        End If
    End With
Exit Property
Fehlerbehandlung:
End Property

'ACHTUNG! DIE FOLGENDEN KOMMENTIERTEN ZEILEN NICHT ENTFERNEN ODER VERNDERN!
'MappingInfo=txtZeit,txtZeit,-1,ForeColor
Public Property Get ForeColor() As OLE_COLOR
Attribute ForeColor.VB_Description = "Gibt die Vordergrundfarbe zurck, die zum Anzeigen von Text und Grafiken in einem Objekt verwendet wird, oder legt diese fest."
'fr alle Flle !!!
On Error GoTo Fehlerbehandlung
    ForeColor = txtZeit.ForeColor
Exit Property
Fehlerbehandlung:
End Property

Public Property Let ForeColor(ByVal New_ForeColor As OLE_COLOR)
'fr alle Flle !!!
On Error GoTo Fehlerbehandlung
    txtZeit.ForeColor() = New_ForeColor
    PropertyChanged "ForeColor"
Exit Property
Fehlerbehandlung:
End Property

Private Sub UserControl_MouseMove(Button As Integer, Shift As Integer, x As Single, y As Single)
    RaiseEvent MouseMove(Button, Shift, x, y)
End Sub

Private Sub UserControl_Click()
    RaiseEvent Click
End Sub
'ACHTUNG! DIE FOLGENDEN KOMMENTIERTEN ZEILEN NICHT ENTFERNEN ODER VERNDERN!
'MappingInfo=txtZeit,txtZeit,-1,Alignment
Public Property Get Alignment() As AlignmentConstants
Attribute Alignment.VB_Description = "Gibt die Ausrichtung eines Kontrollkstchens, eines Optionsfeldes oder eines Steuerelementtextes zurck oder legt sie fest."
'fr alle Flle !!!
On Error GoTo Fehlerbehandlung
    Alignment = txtZeit.Alignment
Exit Property
Fehlerbehandlung:
End Property

Public Property Let Alignment(ByVal New_Alignment As AlignmentConstants)
'fr alle Flle !!!
On Error GoTo Fehlerbehandlung
    txtZeit.Alignment() = New_Alignment
    PropertyChanged "Alignment"
Exit Property
Fehlerbehandlung:
txtZeit.Alignment = 2
End Property

'ACHTUNG! DIE FOLGENDEN KOMMENTIERTEN ZEILEN NICHT ENTFERNEN ODER VERNDERN!
'MappingInfo=UserControl,UserControl,-1,PopupMenu
Public Sub PopupMenu(ByVal Menu As Object, ByVal Flags As Variant, ByVal x As Variant, ByVal y As Variant, ByVal DefaultMenu As Variant)
Attribute PopupMenu.VB_Description = "Zeigt ein Kontextmen in einem MDI-Formular oder Formular an."
    UserControl.PopupMenu Menu, Flags, x, y, DefaultMenu
End Sub

'ACHTUNG! DIE FOLGENDEN KOMMENTIERTEN ZEILEN NICHT ENTFERNEN ODER VERNDERN!
'MappingInfo=Pic,Pic,-1,Picture
Public Property Get Picture() As Picture
Attribute Picture.VB_Description = "Gibt eine Grafik zurck, die in einem Steuerelement angezeigt werden soll, oder legt diese fest."
'fr alle Flle !!!
On Error GoTo Fehlerbehandlung
    Set Picture = Pic.Picture
Exit Property
Fehlerbehandlung:
Set Picture = Nothing
Zeitwertanzeigen
End Property

Public Property Set Picture(ByVal New_Picture As Picture)
'fr alle Flle !!!
On Error GoTo Fehlebehandlung
    Pic.Cls
    Set Pic.Picture = New_Picture
    Bildanpassen
    Zeitwertanzeigen
    PropertyChanged "Picture"
Exit Property
Fehlebehandlung:
Set Pic.Picture = Nothing
Refresh
Zeitwertanzeigen
End Property

Private Sub Bildanpassen()
'fr alle Flle !!!
On Error GoTo Fehlerbehandlung
' Aktuelles Bild an die Gre der PictureBox anpassen
With UserControl.Pic
  .AutoRedraw = True
  .Cls
  .PaintPicture .Picture, 0, 0, .ScaleWidth, .ScaleHeight
  .AutoRedraw = False
End With
Exit Sub
Fehlerbehandlung:
End Sub

'ACHTUNG! DIE FOLGENDEN KOMMENTIERTEN ZEILEN NICHT ENTFERNEN ODER VERNDERN!
'MappingInfo=tmrInterval,tmrInterval,-1,Interval
Public Property Get Interval() As Long
Attribute Interval.VB_Description = "Gibt die Anzahl der Millisekunden zwischen Aufrufen an das Timer-Ereignis eines Zeitgeber-Steuerelements zurck oder legt diese fest."
'fr alle Flle !!!
On Error GoTo Fehlerbehandlung
    Interval = tmrInterval.Interval
Exit Property
Fehlerbehandlung:
End Property

Public Property Let Interval(ByVal New_Interval As Long)
'fr alle Flle !!!
On Error GoTo Fehlerbehandlung
    tmrInterval.Interval() = New_Interval
With UserControl.tmrInterval
    If .Enabled = True Then
        .Interval = .Interval
    Else
        .Interval = 0
    End If
End With
    PropertyChanged "Interval"
Exit Property
Fehlerbehandlung:
End Property

'ACHTUNG! DIE FOLGENDEN KOMMENTIERTEN ZEILEN NICHT ENTFERNEN ODER VERNDERN!
'MappingInfo=tmrInterval,tmrInterval,-1,Enabled
Public Property Get aktivInterval() As Boolean
Attribute aktivInterval.VB_Description = "Gibt einen Wert zurck, der bestimmt, ob ein Objekt auf vom Benutzer erzeugte Ereignisse reagieren kann, oder legt diesen fest."
'fr alle Flle !!!
On Error GoTo Fehlerbehandlung
    aktivInterval = tmrInterval.Enabled
Exit Property
Fehlerbehandlung:
End Property

Public Property Let aktivInterval(ByVal New_aktivInterval As Boolean)
'fr alle Flle !!!
On Error GoTo Fehlerbehandlung
    tmrInterval.Enabled() = New_aktivInterval
    With UserControl.tmrInterval
        If .Enabled = True Then
            .Interval = .Interval
        Else
            .Interval = 0
        End If
    End With
    PropertyChanged "aktivInterval"
Exit Property
Fehlerbehandlung:
End Property

Private Sub tmrInterval_Timer()
    RaiseEvent Timer
End Sub

'ACHTUNG! DIE FOLGENDEN KOMMENTIERTEN ZEILEN NICHT ENTFERNEN ODER VERNDERN!
'MappingInfo=txtZeit,txtZeit,-1,Locked
Public Property Get Locked() As Boolean
Attribute Locked.VB_Description = "Bestimmt, ob ein Steuerelement bearbeitet werden kann."
'fr alle Flle !!!
On Error GoTo Fehlerbehandlung
    Locked = txtZeit.Locked
Exit Property
Fehlerbehandlung:
End Property

Public Property Let Locked(ByVal New_Locked As Boolean)
'fr alle Flle !!!
On Error GoTo Fehlerbehandlung
    txtZeit.Locked() = New_Locked
    PropertyChanged "Locked"
Exit Property
Fehlerbehandlung:
End Property

Private Sub txtZeit_KeyDown(KeyCode As Integer, Shift As Integer)
    RaiseEvent KeyDown(KeyCode, Shift)
End Sub

Private Sub txtZeit_KeyPress(KeyAscii As Integer)
    RaiseEvent KeyPress(KeyAscii)
End Sub

Private Sub txtZeit_KeyUp(KeyCode As Integer, Shift As Integer)
    RaiseEvent KeyUp(KeyCode, Shift)
End Sub

'ACHTUNG! DIE FOLGENDEN KOMMENTIERTEN ZEILEN NICHT ENTFERNEN ODER VERNDERN!
'MappingInfo=UserControl,UserControl,-1,BackStyle
Public Property Get BackStyle() As Integer
'fr alle Flle !!!
On Error GoTo Fehlerbehandlung
    BackStyle = UserControl.BackStyle
Exit Property
Fehlerbehandlung:
End Property

Public Property Let BackStyle(ByVal New_BackStyle As Integer)
'fr alle Flle !!!
On Error GoTo Fehlerbehandlung
    UserControl.BackStyle() = New_BackStyle
    PropertyChanged "BackStyle"
Exit Property
Fehlerbehandlung:
End Property

'ACHTUNG! DIE FOLGENDEN KOMMENTIERTEN ZEILEN NICHT ENTFERNEN ODER VERNDERN!
'MappingInfo=Pic,Pic,-1,BorderStyle
Public Property Get BorderStyle() As Integer
Attribute BorderStyle.VB_Description = "Gibt den Rahmenstil fr ein Objekt zurck oder legt diesen fest."
'fr alle Flle !!!
On Error GoTo Fehlerbehandlung
    BorderStyle = Pic.BorderStyle
Exit Property
Fehlerbehandlung:
End Property

Public Property Let BorderStyle(ByVal New_BorderStyle As Integer)
'fr alle Flle !!!
On Error GoTo Fehlerbehandlung
    Pic.BorderStyle() = New_BorderStyle
    PropertyChanged "BorderStyle"
Exit Property
Fehlerbehandlung:
Zeitwertanzeigen
End Property

'ACHTUNG! DIE FOLGENDEN KOMMENTIERTEN ZEILEN NICHT ENTFERNEN ODER VERNDERN!
'MappingInfo=txtZeit,txtZeit,-1,BorderStyle
Public Property Get ValueBorderStyle() As Integer
Attribute ValueBorderStyle.VB_Description = "Gibt den Rahmenstil fr ein Objekt zurck oder legt diesen fest."
'fr alle Flle !!!
On Error GoTo Fehlerbehandlung
    ValueBorderStyle = txtZeit.BorderStyle
Exit Property
Fehlerbehandlung:
End Property

Public Property Let ValueBorderStyle(ByVal New_ValueBorderStyle As Integer)
'fr alle Flle !!!
On Error GoTo Fehlerbehandlung
    txtZeit.BorderStyle() = New_ValueBorderStyle
    PropertyChanged "ValueBorderStyle"
Exit Property
Fehlerbehandlung:
End Property

'ACHTUNG! DIE FOLGENDEN KOMMENTIERTEN ZEILEN NICHT ENTFERNEN ODER VERNDERN!
'MappingInfo=txtZeit,txtZeit,-1,SelLength
Public Property Get SelLength() As Long
Attribute SelLength.VB_Description = "Gibt die Anzahl der ausgewhlten Zeichen zurck oder legt diese fest."
'fr alle Flle !!!
On Error GoTo Fehlerbehandlung
    SelLength = txtZeit.SelLength
Exit Property
Fehlerbehandlung:
End Property

Public Property Let SelLength(ByVal New_SelLength As Long)
'fr alle Flle !!!
On Error GoTo Fehlerbehandlung
    txtZeit.SelLength() = New_SelLength
    PropertyChanged "SelLength"
Exit Property
Fehlerbehandlung:
End Property

'ACHTUNG! DIE FOLGENDEN KOMMENTIERTEN ZEILEN NICHT ENTFERNEN ODER VERNDERN!
'MappingInfo=txtZeit,txtZeit,-1,SelStart
Public Property Get SelStart() As Long
Attribute SelStart.VB_Description = "Gibt den Anfangspunkt des ausgewhlten Textes zurck oder legt diesen fest."
'fr alle Flle !!!
On Error GoTo Fehlerbehandlung
    SelStart = txtZeit.SelStart
Exit Property
Fehlerbehandlung:
End Property

Public Property Let SelStart(ByVal New_SelStart As Long)
'fr alle Flle !!!
On Error GoTo Fehlerbehandlung
    txtZeit.SelStart() = New_SelStart
    PropertyChanged "SelStart"
Exit Property
Fehlerbehandlung:
End Property

'ACHTUNG! DIE FOLGENDEN KOMMENTIERTEN ZEILEN NICHT ENTFERNEN ODER VERNDERN!
'MappingInfo=UserControl,UserControl,-1,hWnd
Public Property Get hWnd() As Long
Attribute hWnd.VB_Description = "Gibt eine Zugriffsnummer (von Microsoft Windows) auf ein Objektfenster zurck."
'fr alle Flle !!!
On Error GoTo Fehlerbehandlung
    hWnd = UserControl.hWnd
Exit Property
Fehlerbehandlung:
End Property

'ACHTUNG! DIE FOLGENDEN KOMMENTIERTEN ZEILEN NICHT ENTFERNEN ODER VERNDERN!
'MemberInfo=10,0,0,&H00000000&
Public Property Get ColorMinPunkte() As OLE_COLOR
Attribute ColorMinPunkte.VB_Description = "ndert die Farbe der Minutenpunkte oder legt sie fest."
'fr alle Flle !!!
On Error GoTo Fehlerbehandlung
    ColorMinPunkte = m_ColorMinPunkte
Exit Property
Fehlerbehandlung:
End Property

Public Property Let ColorMinPunkte(ByVal New_ColorMinPunkte As OLE_COLOR)
'fr alle Flle !!!
On Error GoTo Fehlerbehandlung
    m_ColorMinPunkte = New_ColorMinPunkte
    Zeitwertanzeigen
    PropertyChanged "ColorMinPunkte"
Exit Property
Fehlerbehandlung:
End Property

'ACHTUNG! DIE FOLGENDEN KOMMENTIERTEN ZEILEN NICHT ENTFERNEN ODER VERNDERN!
'MemberInfo=10,0,0,&H00000000&
Public Property Get ColorStdPunkte() As OLE_COLOR
Attribute ColorStdPunkte.VB_Description = "ndert die Farbe derStundenpunkte oder legt sie fest."
'fr alle Flle !!!
On Error GoTo Fehlerbehandlung
    ColorStdPunkte = m_ColorStdPunkte
Exit Property
Fehlerbehandlung:
End Property

Public Property Let ColorStdPunkte(ByVal New_ColorStdPunkte As OLE_COLOR)
'fr alle Flle !!!
On Error GoTo Fehlerbehandlung
    m_ColorStdPunkte = New_ColorStdPunkte
    Zeitwertanzeigen
    PropertyChanged "ColorStdPunkte"
Exit Property
Fehlerbehandlung:
End Property

'ACHTUNG! DIE FOLGENDEN KOMMENTIERTEN ZEILEN NICHT ENTFERNEN ODER VERNDERN!
'MemberInfo=10,0,0,&H000000C0&
Public Property Get ColorSekzeiger() As OLE_COLOR
Attribute ColorSekzeiger.VB_Description = "ndert die Farbe des Sekundenzeigers oder legt sie fest."
'fr alle Flle !!!
On Error GoTo Fehlerbehandlung
    ColorSekzeiger = m_ColorSekzeiger
Exit Property
Fehlerbehandlung:
End Property

Public Property Let ColorSekzeiger(ByVal New_ColorSekzeiger As OLE_COLOR)
'fr alle Flle !!!
On Error GoTo Fehlerbehandlung
    m_ColorSekzeiger = New_ColorSekzeiger
    Zeitwertanzeigen
    PropertyChanged "ColorSekzeiger"
Exit Property
Fehlerbehandlung:
End Property

'ACHTUNG! DIE FOLGENDEN KOMMENTIERTEN ZEILEN NICHT ENTFERNEN ODER VERNDERN!
'MemberInfo=10,0,0,&H00000000&
Public Property Get ColorMinzeiger() As OLE_COLOR
Attribute ColorMinzeiger.VB_Description = "ndert die Farbe des Minutenzeigers oder legt sie fest."
'fr alle Flle !!!
On Error GoTo Fehlerbehandlung
    ColorMinzeiger = m_ColorMinzeiger
Exit Property
Fehlerbehandlung:
End Property

Public Property Let ColorMinzeiger(ByVal New_ColorMinzeiger As OLE_COLOR)
'fr alle Flle !!!
On Error GoTo Fehlerbehandlung
    m_ColorMinzeiger = New_ColorMinzeiger
    Zeitwertanzeigen
    PropertyChanged "ColorMinzeiger"
Exit Property
Fehlerbehandlung:
End Property

'ACHTUNG! DIE FOLGENDEN KOMMENTIERTEN ZEILEN NICHT ENTFERNEN ODER VERNDERN!
'MemberInfo=10,0,0,&H00000000&
Public Property Get ColorStdzeiger() As OLE_COLOR
Attribute ColorStdzeiger.VB_Description = "ndert die Farbe des Stundenzeigers oder legt sie fest."
'fr alle Flle !!!
On Error GoTo Fehlerbehandlung
    ColorStdzeiger = m_ColorStdzeiger
Exit Property
Fehlerbehandlung:
End Property

Public Property Let ColorStdzeiger(ByVal New_ColorStdzeiger As OLE_COLOR)
'fr alle Flle !!!
On Error GoTo Fehlerbehandlung
    m_ColorStdzeiger = New_ColorStdzeiger
    Zeitwertanzeigen
    PropertyChanged "ColorStdzeiger"
Exit Property
Fehlerbehandlung:
End Property

'ACHTUNG! DIE FOLGENDEN KOMMENTIERTEN ZEILEN NICHT ENTFERNEN ODER VERNDERN!
'MemberInfo=8,0,0,1
Public Property Get WidthMinPunkte() As Long
Attribute WidthMinPunkte.VB_Description = "ndert die Breite der Minutenpunkte oder legt sie fest."
'fr alle Flle !!!
On Error GoTo Fehlerbehandlung
    WidthMinPunkte = m_WidthMinPunkte
Exit Property
Fehlerbehandlung:
End Property

Public Property Let WidthMinPunkte(ByVal New_WidthMinPunkte As Long)
'fr alle Flle !!!
On Error GoTo Fehlerbehandlung
    m_WidthMinPunkte = New_WidthMinPunkte
    Zeitwertanzeigen
    PropertyChanged "WidthMinPunkte"
Exit Property
Fehlerbehandlung:
End Property

'ACHTUNG! DIE FOLGENDEN KOMMENTIERTEN ZEILEN NICHT ENTFERNEN ODER VERNDERN!
'MemberInfo=8,0,0,2
Public Property Get WidthStdPunkte() As Long
Attribute WidthStdPunkte.VB_Description = "ndert die Breite der Stundenpunkte oder legt sie fest."
'fr alle Flle !!!
On Error GoTo Fehlerbehandlung
    WidthStdPunkte = m_WidthStdPunkte
Exit Property
Fehlerbehandlung:
End Property

Public Property Let WidthStdPunkte(ByVal New_WidthStdPunkte As Long)
'fr alle Flle !!!
On Error GoTo Fehlerbehandlung
    m_WidthStdPunkte = New_WidthStdPunkte
    Zeitwertanzeigen
    PropertyChanged "WidthStdPunkte"
Exit Property
Fehlerbehandlung:
End Property

'ACHTUNG! DIE FOLGENDEN KOMMENTIERTEN ZEILEN NICHT ENTFERNEN ODER VERNDERN!
'MemberInfo=8,0,0,1
Public Property Get WidthSekzeiger() As Long
Attribute WidthSekzeiger.VB_Description = "ndert die Breite der Sekundenzeigers oder legt sie fest."
'fr alle Flle !!!
On Error GoTo Fehlerbehandlung
    WidthSekzeiger = m_WidthSekzeiger
Exit Property
Fehlerbehandlung:
End Property

Public Property Let WidthSekzeiger(ByVal New_WidthSekzeiger As Long)
'fr alle Flle !!!
On Error GoTo Fehlerbehandlung
    m_WidthSekzeiger = New_WidthSekzeiger
    Zeitwertanzeigen
    PropertyChanged "WidthSekzeiger"
Exit Property
Fehlerbehandlung:
End Property

'ACHTUNG! DIE FOLGENDEN KOMMENTIERTEN ZEILEN NICHT ENTFERNEN ODER VERNDERN!
'MemberInfo=8,0,0,2
Public Property Get WidthMinzeiger() As Long
Attribute WidthMinzeiger.VB_Description = "ndert die Breite des Minutenzeigers oder legt sie fest."
'fr alle Flle !!!
On Error GoTo Fehlerbehandlung
    WidthMinzeiger = m_WidthMinzeiger
Exit Property
Fehlerbehandlung:
End Property

Public Property Let WidthMinzeiger(ByVal New_WidthMinzeiger As Long)
'fr alle Flle !!!
On Error GoTo Fehlerbehandlung
    m_WidthMinzeiger = New_WidthMinzeiger
    Zeitwertanzeigen
    PropertyChanged "WidthMinzeiger"
Exit Property
Fehlerbehandlung:
End Property

'ACHTUNG! DIE FOLGENDEN KOMMENTIERTEN ZEILEN NICHT ENTFERNEN ODER VERNDERN!
'MemberInfo=8,0,0,3
Public Property Get WidthStdzeiger() As Long
Attribute WidthStdzeiger.VB_Description = "ndert die Breite der Stundenzeigers oder legt sie fest."
'fr alle Flle !!!
On Error GoTo Fehlerbehandlung
    WidthStdzeiger = m_WidthStdzeiger
Exit Property
Fehlerbehandlung:
End Property

Public Property Let WidthStdzeiger(ByVal New_WidthStdzeiger As Long)
'fr alle Flle !!!
On Error GoTo Fehlerbehandlung
    m_WidthStdzeiger = New_WidthStdzeiger
    Zeitwertanzeigen
    PropertyChanged "WidthStdzeiger"
Exit Property
Fehlerbehandlung:
End Property

'ACHTUNG! DIE FOLGENDEN KOMMENTIERTEN ZEILEN NICHT ENTFERNEN ODER VERNDERN!
'MemberInfo=2,0,0,0
Public Property Get LengthSekzeiger() As Currency
Attribute LengthSekzeiger.VB_Description = "ndert die Lnge des Sekundenzeigers oder legt sie fest."
'fr alle Flle !!!
On Error GoTo Fehlerbehandlung
    LengthSekzeiger = m_LengthSekzeiger
Exit Property
Fehlerbehandlung:
End Property

Public Property Let LengthSekzeiger(ByVal New_LengthSekzeiger As Currency)
'fr alle Flle !!!
On Error GoTo Fehlerbehandlung
    m_LengthSekzeiger = New_LengthSekzeiger
    Zeitwertanzeigen
    PropertyChanged "LengthSekzeiger"
Exit Property
Fehlerbehandlung:
End Property

'ACHTUNG! DIE FOLGENDEN KOMMENTIERTEN ZEILEN NICHT ENTFERNEN ODER VERNDERN!
'MemberInfo=2,0,0,0
Public Property Get LengthMinzeiger() As Currency
Attribute LengthMinzeiger.VB_Description = "ndert die Lnge des Minutenzeigers oder legt sie fest."
'fr alle Flle !!!
On Error GoTo Fehlerbehandlung
    LengthMinzeiger = m_LengthMinzeiger
Exit Property
Fehlerbehandlung:
End Property

Public Property Let LengthMinzeiger(ByVal New_LengthMinzeiger As Currency)
'fr alle Flle !!!
On Error GoTo Fehlerbehandlung
    m_LengthMinzeiger = New_LengthMinzeiger
    Zeitwertanzeigen
    PropertyChanged "LengthMinzeiger"
Exit Property
Fehlerbehandlung:
End Property

'ACHTUNG! DIE FOLGENDEN KOMMENTIERTEN ZEILEN NICHT ENTFERNEN ODER VERNDERN!
'MemberInfo=2,0,0,0
Public Property Get LengthStdzeiger() As Currency
Attribute LengthStdzeiger.VB_Description = "ndert die Lnge des Stundenzeigers oder legt sie fest."
'fr alle Flle !!!
On Error GoTo Fehlerbehandlung
    LengthStdzeiger = m_LengthStdzeiger
Exit Property
Fehlerbehandlung:
End Property

Public Property Let LengthStdzeiger(ByVal New_LengthStdzeiger As Currency)
'fr alle Flle !!!
On Error GoTo Fehlerbehandlung
    m_LengthStdzeiger = New_LengthStdzeiger
    Zeitwertanzeigen
    PropertyChanged "LengthStdzeiger"
Exit Property
Fehlerbehandlung:
End Property

'ACHTUNG! DIE FOLGENDEN KOMMENTIERTEN ZEILEN NICHT ENTFERNEN ODER VERNDERN!
'MemberInfo=13,0,0,
Public Property Get ToolTipText() As String
Attribute ToolTipText.VB_Description = "Gibt den Text zurck, der angezeigt wird, wenn die Maus ber dem Steuerelement verweilt, oder legt den Text fest."
'fr alle Flle !!!
On Error GoTo Fehlerbehandlung
    ToolTipText = m_ToolTipText
Exit Property
Fehlerbehandlung:
End Property

Public Property Let ToolTipText(ByVal New_ToolTipText As String)
'fr alle Flle !!!
On Error GoTo Fehlerbehandlung
    m_ToolTipText = New_ToolTipText
    PropertyChanged "ToolTipText"
Exit Property
Fehlerbehandlung:
End Property
'ACHTUNG! DIE FOLGENDEN KOMMENTIERTEN ZEILEN NICHT ENTFERNEN ODER VERNDERN!
'MemberInfo=0,0,0,False
Public Property Get CreateRndAnalog() As Boolean
Attribute CreateRndAnalog.VB_Description = "gibt an ob die analoge Value-Eigenschaft gerundet angezeigt werden soll oder legt sie fest."
'fr alle Flle !!!
On Error GoTo Fehlerbehandlung
    CreateRndAnalog = m_CreateRndAnalog
Exit Property
Fehlerbehandlung:
End Property

Public Property Let CreateRndAnalog(ByVal New_CreateRndAnalog As Boolean)
'fr alle Flle !!!
On Error GoTo Fehlerbehandlung
    m_CreateRndAnalog = New_CreateRndAnalog
    CreateRoundRectFromAnalogWindow UserControl.Pic
    Zeitwertanzeigen
    PropertyChanged "CreateRndAnalog"
Exit Property
Fehlerbehandlung:
End Property

'ACHTUNG! DIE FOLGENDEN KOMMENTIERTEN ZEILEN NICHT ENTFERNEN ODER VERNDERN!
'MemberInfo=8,0,0,40
Public Property Get CreateRndAnalogVal() As Long
Attribute CreateRndAnalogVal.VB_Description = "gibt den Wert der Rundung an oder oder legt sie fest."
'fr alle Flle !!!
On Error GoTo Fehlerbehandlung
    CreateRndAnalogVal = m_CreateRndAnalogVal
Exit Property
Fehlerbehandlung:
End Property

Public Property Let CreateRndAnalogVal(ByVal New_CreateRndAnalogVal As Long)
'fr alle Flle !!!
On Error GoTo Fehlerbehandlung
    m_CreateRndAnalogVal = New_CreateRndAnalogVal
    CreateRoundRectFromAnalogWindow UserControl.Pic
    Zeitwertanzeigen
    PropertyChanged "CreateRndAnalogVal"
Exit Property
Fehlerbehandlung:
End Property

'ACHTUNG! DIE FOLGENDEN KOMMENTIERTEN ZEILEN NICHT ENTFERNEN ODER VERNDERN!
'MemberInfo=0,0,0,False
Public Property Get CreateRndDigital() As Boolean
Attribute CreateRndDigital.VB_Description = "gibt an ob die digitale Value-Eigenschaft gerundet angezeigt werden soll oder legt sie fest."
'fr alle Flle !!!
On Error GoTo Fehlerbehandlung
    CreateRndDigital = m_CreateRndDigital
Exit Property
Fehlerbehandlung:
End Property

Public Property Let CreateRndDigital(ByVal New_CreateRndDigital As Boolean)
'fr alle Flle !!!
On Error GoTo Fehlerbehandlung
    m_CreateRndDigital = New_CreateRndDigital
    CreateRoundRectFromDigitalWindow UserControl.txtZeit
    Zeitwertanzeigen
    PropertyChanged "CreateRndDigital"
Exit Property
Fehlerbehandlung:
End Property

'ACHTUNG! DIE FOLGENDEN KOMMENTIERTEN ZEILEN NICHT ENTFERNEN ODER VERNDERN!
'MemberInfo=8,0,0,40
Public Property Get CreateRndDigitalVal() As Long
Attribute CreateRndDigitalVal.VB_Description = "gibt den Wert der Rundung an oder oder legt sie fest."
'fr alle Flle !!!
On Error GoTo Fehlerbehandlung
    CreateRndDigitalVal = m_CreateRndDigitalVal
Exit Property
Fehlerbehandlung:
End Property

Public Property Let CreateRndDigitalVal(ByVal New_CreateRndDigitalVal As Long)
'fr alle Flle !!!
On Error GoTo Fehlerbehandlung
    m_CreateRndDigitalVal = New_CreateRndDigitalVal
    CreateRoundRectFromDigitalWindow UserControl.txtZeit
    Zeitwertanzeigen
    PropertyChanged "CreateRndDigitalVal"
Exit Property
Fehlerbehandlung:
End Property

'ACHTUNG! DIE FOLGENDEN KOMMENTIERTEN ZEILEN NICHT ENTFERNEN ODER VERNDERN!
'MappingInfo=UserControl,UserControl,-1,BackColor
Public Property Get BackColorTimeValue() As OLE_COLOR
'fr alle Flle !!!
On Error GoTo Fehlerbehandlung
    BackColorTimeValue = UserControl.BackColor
Exit Property
Fehlerbehandlung:
End Property

Public Property Let BackColorTimeValue(ByVal New_BackColorTimeValue As OLE_COLOR)
'fr alle Flle !!!
On Error GoTo Fehlerbehandlung
    UserControl.BackColor() = New_BackColorTimeValue
    PropertyChanged "BackColorTimeValue"
Exit Property
Fehlerbehandlung:
End Property

